Skip to main content
GET
/
v1
/
links
/
{link_id}
/
transactions
List all bank transactions
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/transactions/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "count": 123,
  "next": "<string>",
  "previous": "<string>",
  "accounts": [
    {
      "type": "CHECKING",
      "subtype": "MONEY_MARKET",
      "mask": "6789",
      "balances": {
        "currency_code": "USD",
        "balance": "100.00",
        "available_balance": "50.99",
        "credit_limit": "200.00"
      },
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "created_at": "2022-05-04T11:30:00.000Z",
      "updated_at": "2022-05-04T12:00:00.000Z",
      "nickname": "My account"
    }
  ],
  "transactions": [
    {
      "external_id": "external_key_243901",
      "description": "Some transaction",
      "status": "POSTED",
      "type": "DEBIT",
      "transacted_at": "2022-05-04T11:30:00.000Z",
      "location": {
        "latitude": 40.73061,
        "longitude": -73.935242
      },
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "created_at": "2022-05-04T11:30:00.000Z",
      "updated_at": "2022-05-04T12:00:00.000Z",
      "account_id": "68a7e80942ce4ad58a93f70ce411549a",
      "amount": "100.00",
      "currency_code": "USD",
      "check_number": "123456",
      "categories": [
        "Transfer"
      ],
      "posted_at": "2022-05-04T11:30:00.000Z",
      "memo": "",
      "merchant_name": "Starbucks",
      "merchant_category_code": 5967
    }
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Query Parameters

account_ids
string

Comma-separated list of account IDs to filter transactions

categories
string

Comma-separated list of categories to filter transactions

account_types
string

Comma-separated list of account types to filter transactions (e.g., CHECKING, SAVINGS)

account_subtypes
string

Comma-separated list of account subtypes to filter transactions

transacted_at_from
string

Filter transacted_at greater than or equal (ISO-8601)

transacted_at_to
string

Filter transacted_at less than or equal (ISO-8601)

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page. Default is 100, maximum is 500.

Response

count
integer
required
next
string<uri> | null
required
Minimum string length: 1
previous
string<uri> | null
required
Minimum string length: 1
accounts
object[]
required
transactions
object[]
required